Cyberduck Mountain Duck CLI

#6021 closed enhancement (wontfix)

Execute Send Command in current working directory of browser

Reported by: kazar Owned by:
Priority: normal Milestone:
Component: core Version: 4.0.2
Severity: normal Keywords: Send Command
Cc: Architecture:
Platform:

Description

When sending a command to the remote server, such as "wget", execute the results in the same directory the user is currently browsing in the Cyberduck window. This way the file downloaded to the remote server (still using the "wget" example) will be where the user expects to see it. Currently commands default to executing on the home directory of the logged in server user, requiring us to either find the file and mv it to the desired directory, or to type (using a drupal installation as the example):

wget ~/public_html/sites/all/modules/date-7.x-2.0-alpha3.tar.gz http://ftp.drupal.org/files/projects/date-7.x-2.0-alpha3.tar.gz

... even if we're currently *looking* at the sites/all/modules directory.

With this enhancement the command would become simply:

wget http://ftp.drupal.org/files/projects/date-7.x-2.0-alpha3.tar.gz

This is a matter of convenience and end-user expectation. However, considering the destructive power of some CLI commands such as "rm", this enhancement could conceivably also prevent serious unexpected results.

Change History (3)

comment:1 Changed on Jun 22, 2011 at 9:27:22 AM by kazar

thinking more on this request this morning, considering that many folks are likely used to the current behavior, rather than change the default behavior perhaps provide a "execute in directory being browsed" checkbox to the Send Command pane.

comment:2 Changed on Feb 17, 2012 at 12:44:13 PM by dkocher

  • Summary changed from execute Send Command in browser's current directory to Execute Send Command in current working directory of browser

comment:3 Changed on Sep 18, 2013 at 9:57:30 AM by dkocher

  • Resolution set to wontfix
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.
swiss made software